
%global meadversion 1.6.1
%global namedversion 1.6.1.redhat-7
%global meadalpha .redhat_7
%global meadrel .1
%global serial 23
%global namedversionrel redhat-7

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}dom4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.6.1.redhat-7

Name:           %{?scl_prefix}dom4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        dom4j
Group:          Development/Java

%if %with mead
Source100: dom4j-1.6.1.redhat-7-scm-sources.zip
Source102: dom4j-1.6.1.redhat-7-project-sources.tar.gz
Source103: dom4j-1.6.1.redhat-7-sources.jar
Source104: dom4j-1.6.1.redhat-7-javadoc.jar
Source105: dom4j-1.6.1.redhat-7.jar
Source106: dom4j-1.6.1.redhat-7.pom
%endif

License:        BSD
URL:            http://dom4j.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
dom4j: the flexible XML framework for Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for dom4j
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n dom4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}.jar %{buildroot}%{_javadir}/dom4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/dom4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/dom4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/dom4j-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/dom4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/dom4j-%{namedversion} -x META-INF/\*
%{__ln_s} dom4j-%{namedversion} %{buildroot}%{_javadocdir}/dom4j
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt readme.html TODO.txt
%{_javadir}/dom4j-%{namedversion}.jar
%{_javadir}/dom4j.jar
%if %with javadoc
%{_javadir}/dom4j-%{namedversion}-javadoc.jar
%{_javadir}/dom4j-javadoc.jar
%endif
%{_javadir}/dom4j-%{namedversion}-sources.jar
%{_javadir}/dom4j-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/dom4j-%{namedversion}
%{_javadocdir}/dom4j
%endif

%changelog
* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.6.1-23.redhat_7.1
- Re-wrap to include RHEL-6

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 1.6.1-22.redhat_7.1
- release

